2018-12-12 19:29 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000167Branch 0.2.1-FINALBugpublic2016-11-23 10:25
ReporterQuix0r 
Assigned ToQuix0r 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000167: Geaenderte Parameterliste von unregisterFilter() und fehlende Initialisierung des Cache-Arrays
DescriptionZum einen ist ein Parameter (welches Commit?) aus unregisterFilter() verschwunden, das ein Entfernen von Filtern z.B. durch Entfernen von Erweiterungen verhindert hat.

Zum anderen wurde das Cach-Array $GLOBALS['cache_array']['filter'] nicht umgeschrieben, was zu weiteren Fehlern fuehrte wie das Nichtausfuehren von Filtern beim Initialisieren der Anwendung.

Dann musste noch in load_cache.php der Aufruf von loadIncludePool('cache') vor dem Aufruf von initFilterSystem() verschoben werden, damit u.a. der Cache fuer die Erweiterungen geladen wird (wird in der Funktion initFilterSystem() benoetigt).
Additional InformationDieses Ticket wurde eingestellt, damit auch diese Bugs getrackt werden koennen. Sie sind auch mit dem naechsten Commit gefixt.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000424

Quix0r (administrator)

Sollte mit Revision 1658 gefixt sein.

~0000758

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2009-12-15 15:42 Quix0r New Issue
2009-12-15 15:42 Quix0r Status new => assigned
2009-12-15 15:42 Quix0r Assigned To => Quix0r
2009-12-15 15:43 Quix0r Projection none => tweak
2009-12-15 15:43 Quix0r ETA none => < 1 day
2009-12-15 15:43 Quix0r Additional Information Updated
2009-12-15 18:47 Quix0r Note Added: 0000424
2009-12-15 18:47 Quix0r Status assigned => resolved
2009-12-15 18:47 Quix0r Fixed in Version => 0.2.1-FINAL
2009-12-15 18:47 Quix0r Resolution open => fixed
2010-05-28 16:27 Quix0r Build SVN-HEAD => 0.2.1-FINAL
2010-05-28 16:36 Quix0r Product Version => 0.2.1-FINAL
2016-11-23 10:25 Quix0r Note Added: 0000758
2016-11-23 10:25 Quix0r Status resolved => closed
+Issue History